package com.tptj.demo.hg.dialect.creator;

import com.fanruan.api.log.LogKit;
import com.fr.data.core.db.dialect.Dialect;
import com.fr.data.core.db.dialect.base.*;
import com.fr.data.core.db.dialect.base.key.create.executequery.DialectExecuteQueryParameter;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-30
 **/
public class DemoDialectExecuteQueryParameter extends DialectResultWithExceptionKey<DialectExecuteQueryParameter, ResultSet, SQLException> {

    @Override
    public ResultSet execute(DialectExecuteQueryParameter parameter, Dialect current)throws SQLException {
        LogKit.info("EXECUTE_QUERY_KEY --> DemoDialectExecuteQueryParameter");
        return DialectKeyConstants.EXECUTE_QUERY_KEY.execute(parameter, current);
    }

}
