package com.tptj.demo.hg.dialect.creator;

import com.fanruan.api.log.LogKit;
import com.fr.data.core.db.ColumnInformation;
import com.fr.data.core.db.dialect.Dialect;
import com.fr.data.core.db.dialect.base.DialectKeyConstants;
import com.fr.data.core.db.dialect.base.DialectResultWithExceptionKey;
import com.fr.data.core.db.dialect.base.key.column.info.DialectFetchColumnInformationParameter;

import java.sql.SQLException;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-30
 **/
public class DemoFetchColumnInformationExecutor extends DialectResultWithExceptionKey<DialectFetchColumnInformationParameter, ColumnInformation[], SQLException> {
    @Override
    public ColumnInformation[] execute(DialectFetchColumnInformationParameter parameter, Dialect dialect) throws SQLException {
        LogKit.info("FETCH_COLUMN_INFORMATION_KEY --> DemoFetchColumnInformationExecutor");
        return DialectKeyConstants.FETCH_COLUMN_INFORMATION_KEY.execute(parameter, dialect);
    }
}
